complexType "ProtectionTerms"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | calculationAmount, creditEvents?
</...>

Content Model Elements (2):

  calculationAmount, creditEvents

All Direct / Indirect Based Elements (2):

  protectionTerms (in creditDefaultSwap in creditDefaultSwapOption),
  protectionTerms (in creditDefaultSwap)

Known Usage Locations

- As direct type of elements (2):
  protectionTerms (in creditDefaultSwap in creditDefaultSwapOption),
  protectionTerms (in creditDefaultSwap)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ProtectionTerms"> <xsd:sequence> <xsd:element name="calculationAmount" type="Money"/> <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"/> <!--View Generation: SKIPPED obligations - Standardized--> <!--View Generation: SKIPPED floatingAmountEvents - Standardized--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
calculationAmount

  Type: | Money, complex content

  The notional amount of protection coverage. ISDA 2003 Term: Floating Rate Payer Calculation Amount
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationAmount" type="Money"/>

creditEvents

  Type: | CreditEvents, complex content

  This element contains all the ISDA terms relating to credit events.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditEvents" type="CreditEvents"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.